Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime.ess
Class ContentReference

`java.lang.Object
oracle.security.crypto.smime.ess.ContentReference`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class ContentReference
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

A Content Reference.

Constructor Summary
`ContentReference(oracle.security.crypto.asn1.ASN1ObjectID contentType, byte[] signedContentIdentifier, byte[] originatorSignatureValue)` Create a `ContentReference` with the given content type, content identifier and originator signature value.
`ContentReference(java.io.InputStream is)` Create a `ContentReference` by reading from the specified input stream.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates if the object equals the specified object.
`oracle.security.crypto.asn1.ASN1ObjectID` | `getContentType()` Returns the content type.
`byte[]` | `getOriginatorSignatureValue()` Returns the originator signature value.
`byte[]` | `getSignedContentIdentifier()` Returns the signed content identifier.
`int` | `hashCode()` Return the hash code for this object.
`void` | `input(java.io.InputStream is)`
`int` | `length()` Returns the length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Output this object's encoding to the specified output stream.
`void` | `setContentType(oracle.security.crypto.asn1.ASN1ObjectID contentType)` Set the content type.
`void` | `setOriginatorSignatureValue(byte[] originatorSignatureValue)` Sets the originator signature value.
`void` | `setSignedContentIdentifier(byte[] signedContentIdentifier)` Sets the signed content identifier.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentReference

    public ContentReference(java.io.InputStream is)
                     throws java.io.IOException

  Create a `ContentReference` by reading from the specified input stream.
Parameters:
  `is` - The input stream.

### ContentReference

    public ContentReference(oracle.security.crypto.asn1.ASN1ObjectID contentType,
                            byte[] signedContentIdentifier,
                            byte[] originatorSignatureValue)

  Create a `ContentReference` with the given content type, content identifier and originator signature value.
Parameters:
  `contentType` - The content type identifier.
  `signedContentIdentifier` - The signed content identifier.
  `originatorSignatureValue` - The originator signature value.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Indicates if the object equals the specified object.
  Returns:
    If `true` this object is equal to the specified object; `false` otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.
  Returns:
    The hash code value.

### getContentType

    public oracle.security.crypto.asn1.ASN1ObjectID getContentType()

  Returns the content type.
  Returns:
    The content type identifier.

### setContentType

    public void setContentType(oracle.security.crypto.asn1.ASN1ObjectID contentType)

  Set the content type.
  Parameters:
    `contentType` - The content type identifier.

### getSignedContentIdentifier

    public byte[] getSignedContentIdentifier()

  Returns the signed content identifier.
  Returns:
    The signed content identifier.

### setSignedContentIdentifier

    public void setSignedContentIdentifier(byte[] signedContentIdentifier)

  Sets the signed content identifier.
  Parameters:
    `signedContentIdentifier` - The signed content identifier.

### getOriginatorSignatureValue

    public byte[] getOriginatorSignatureValue()

  Returns the originator signature value.
  Returns:
    The originator signature value.

### setOriginatorSignatureValue

    public void setOriginatorSignatureValue(byte[] originatorSignatureValue)

  Sets the originator signature value.
  Parameters:
    `originatorSignatureValue` - The originator signature value.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Output this object's encoding to the specified output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - An I/O error occurred.

### length

    public int length()

  Returns the length of this object's encoding.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`
  Returns:
    The length in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.